<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumProgressTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_progress', function (Blueprint $table) {
            $table->increments('id');
            $table->date('date')->comment('时间节点');
            $table->string('description')->comment('进度文字');
            $table->tinyInteger('status')->comment('订单状态');
            $table->date('order_id')->comment('订单ID');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_progress');
    }
}
